<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$periodo=$_GET['id_periodo'];
$condicion=$_GET['condicion'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Actualiza los inscritos.
$sql = "update alumnos,historial_alumnos set alumnos.status='S' where alumnos.id_alumno=historial_alumnos.id_alumno";
   mysql_query($sql, $cn) or die(mysql_error());
   
// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion=' ('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$codigo_periodo=$row2['codigo'].$descripcion;


//Datos de la Sede
$sql2 = "select * from sedes where codigo='$sede'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_sede=$row2['nombre_sede'];

// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];


   
// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
if($condicion=="0"){
   $query = "SELECT DISTINCT alumnos.cedula, alumnos.apellidos, alumnos.nombres,alumnos.fecha_nac,alumnos.cuenta_bancaria,mencion
FROM alumnos
where alumnos.tipo_estudiante='BECADO'
ORDER BY convert(alumnos.cedula,signed)"; 
}
if($condicion=="1"){
   $query = "SELECT DISTINCT alumnos.cedula, alumnos.apellidos, alumnos.nombres,alumnos.fecha_nac,alumnos.cuenta_bancaria,historial_alumnos.mencion
FROM alumnos, historial_alumnos
where alumnos.id_alumno=historial_alumnos.id_alumno and historial_alumnos.id_periodo='$periodo' and  alumnos.tipo_estudiante='BECADO'
ORDER BY convert(alumnos.cedula,signed)";
}
if($condicion=="2"){
   $query = "SELECT cedula, apellidos, nombres,fecha_nac,cuenta_bancaria,mencion,id_alumno
FROM `alumnos` WHERE tipo_estudiante = 'BECADO' AND status='N'
ORDER BY convert(alumnos.cedula,signed)";
}

//echo $query;
// Ejecuta el Query.

$result = mysql_query ($query,$cn) or die (mysql_error()); 
//$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-15);
if($condicion=="0"){
   $pdf->ezText('<b>'."ESTUDIANTES BECADOS".'</b>',14,array('justification'=>'center'));
}
if($condicion=="1"){
   $pdf->ezText('<b>'."ESTUDIANTES BECADOS INSCRITOS EN EL SIGA".'</b>',14,array('justification'=>'center'));
}
if($condicion=="2"){
   $pdf->ezText('<b>'."ESTUDIANTES BECADOS NO INSCRITOS EN EL SIGA".'</b>',14,array('justification'=>'center'));
}

$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("   LAPSO ACADÉMICO: ").'</b>'.utf8_decode($codigo_periodo),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);

$pdf->ezText('<b>'."   CARRERA: ".'</b>'." LICENCIATURA EN CIENCIAS FISCALES",10,array('justification'=>'left'));


// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5,2,3.5,2.5);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'<b>'.'Nro.'.'</b>', 
			  'cedula'=>'<b>'.utf8_decode('CÉDULA            ').'</b>', 
              'apellidosynombres'=>'<b>'.'APELLIDOS Y NOMBRES DEL ESTUDIANTE'.'</b>',
			  'fecha_nac'=>'<b>'.'FECHA NAC.'.'</b>',
			  'edad'=>'<b>'.'EDAD'.'</b>',
			  'cuenta'=>'<b>'.utf8_decode('NÚMERO DE CUENTA') .'</b>',
			  'mencion'=>'<b>'.utf8_decode('MENCIÓN').'  '.'</b>'); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula 
    $apeynom  = $row[1].', '.$row[2];
	$fecha_nac= $row[3];
	$cuenta= $row[4];
	$mencion= $row[5]; // apellidos y nombres 
	$firma="";
   
    if($mencion=="COMUN") $nombre_mencion="COMPONENTE GENERAL";
    if($mencion=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXT.";
    if($mencion=="FIN") $nombre_mencion="FINANZAS PÚBLICAS";
    if($mencion=="RT") $nombre_mencion="RENTAS"; 
	$edad=edad($fecha_nac);
	// if($edad<=22) {
       $smc = $smc + 1; 
       // Aqui se agregan las variables formateadas al array 
       $data[] = array('nro'=>$smc,
	                'cedula'=>$ced.'    ', 
                    'apellidosynombres'=>utf8_decode($apeynom),
					'fecha_nac'=>join ("-",(array_reverse(explode("-",$fecha_nac)))),
					'apellidosynombres'=>utf8_decode($apeynom),
					'edad'=>$edad,
					'cuenta'=>utf8_decode($cuenta),
					'mencion'=>utf8_decode($mencion),);
	  // } 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'550','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left')
			 ,'fecha_nac'=>array('justification'=>'center')
			 ,'edad'=>array('justification'=>'right')
			 ,'cuenta'=>array('justification'=>'left')
			 ,'mencion'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

// Calcula la edad (formato: año-mes-dia)
function edad($fecha_nac){
	list($Y,$m,$d) = explode("-",$fecha_nac);
    return( date("md") < $m.$d ? date("Y")-$Y-1 : date("Y")-$Y );
}

?> 